filtercalltree(1)

NAME
filtercalltree - Filter or prune a call tree file generated by sample or malloc_history

SYNOPSIS
filtercalltree call-tree-file [-invertCallTree] [-pruneCount count] [-pruneMallocSize size] [-chargeSystemLibraries] [-chargeLibrary libraryName] [-keepBoundaries]

DESCRIPTION
filtercalltree reads a file containing a call tree, as generated by the sample(1) or malloc_history(1) commands, and filters or prunes it as specified by the options.

OPTIONS

-invertCallTree
    Print the call tree from hottest to coldest stack frame.

-pruneCount count
    Remove branches of the call tree that have count less than count

-pruneMallocSize size
    Remove branches of the call tree that have malloc size less than size, such as 500K or 1.2M.

-chargeSystemLibraries
    Remove stack frames from all libraries in /System and /usr, while still charging their cost to the caller.

-chargeLibrary library-name
    Remove stack frames from library-name, while still charging their cost to the caller. This argument can be repeated for multiple libraries.

-keepBoundaries
    When charging libraries to callers, keep the top call into excluded libraries.

SEE ALSO
malloc_history(1), sample(1)